Module javafx.base
Package javafx.util.converter

## Class IntegerStringConverter

- java.lang.Object
- - javafx.util.StringConverter<Integer>
  - - javafx.util.converter.IntegerStringConverter

-     public class IntegerStringConverter
      extends StringConverter<Integer>

  `StringConverter` implementation for `Integer` (and int primitive) values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegerStringConverter()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `fromString​(String value)` | Converts the string provided into an object defined by the specific converter.
    `String` | `toString​(Integer value)` | Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerStringConverter

          public IntegerStringConverter()

  - ### Method Detail

    - #### fromString

          public Integer fromString​(String value)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<Integer>`
      Parameters:
        `value` - the `String` to convert
      Returns:
        an object representation of the string passed in.

    - #### toString

          public String toString​(Integer value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<Integer>`
      Parameters:
        `value` - the object of type `T` to convert
      Returns:
        a string representation of the object passed in.